Jump to content
  • Advertisement
Sign in to follow this  
pinoy

OpenGL Can I use opengl 2 even though I only have a Geforce 4?

This topic is 4702 days old which is more than the 365 day threshold we allow for new replies. Please post a new topic.

If you intended to correct an error in the post then please contact us.

Recommended Posts

So my Geforce supports opengl 1.3 I believe. I would think I would not be able to employ any of the opengl 2 features because my hardware is crap.

Share this post


Link to post
Share on other sites
Advertisement
You can use it if you use NVemulate, but don't expect your apps to run too well if your hardware doesn't support the extensions you use. By the way, if glGetString(GL_VERSION) is only reporting 1.3.*, you should download newer drivers for your videocard.

[EDIT]
Changed a few things so it made more sense.

Share this post


Link to post
Share on other sites
Remember OpenGL 2.0 is only supported by drivers for specific cards and are accessed by extensions. I know for ATI anything older then a 9500 will not have 2.0 support (might be 9700). I cannot remember where nVidia went back too but I am pretty sure the GF4 was not covered.

Share this post


Link to post
Share on other sites
Sign in to follow this  

  • Advertisement
×

Important Information

By using GameDev.net, you agree to our community Guidelines, Terms of Use, and Privacy Policy.

We are the game development community.

Whether you are an indie, hobbyist, AAA developer, or just trying to learn, GameDev.net is the place for you to learn, share, and connect with the games industry. Learn more About Us or sign up!

Sign me up!